Rev. 19.04.1 error create institution

Bug #1837855 reported by Andy R. on 2019-07-25
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Mahara
Status tracked in 19.10
18.04
High
Unassigned
18.10
High
Unassigned
19.04
High
Unassigned
19.10
High
Rebecca Blundell

Bug Description

Mahara 19.04.1

A click on create a new institution shows a bug, see error log attachment.

We try it under PHP 7.1 / 7.3

Greets Andy

Andy R. (andyrr) wrote :
Robert Lyon (robertl-9) on 2019-08-02
Changed in mahara:
assignee: nobody → Rebecca Blundell (rjb-dev)
Steven (stevens-q) wrote :

Unable to reproduce bug.

Spoke to dev who said they also were unable to reproduce bug but they created a patch.

Tested using the patch - still was unable to see the bug.

Not sure what the problem was but the patch appears not to have affected anything.

Catalyst QA

Reviewed: https://reviews.mahara.org/10245
Committed: https://git.mahara.org/mahara/mahara/commit/2f544cf3ac754b1545eefd9873c322cc5ddd0c24
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 2f544cf3ac754b1545eefd9873c322cc5ddd0c24
Author: Rebecca Blundell <email address hidden>
Date: Tue Aug 6 13:05:19 2019 +1200

Bug 1837855: Error message on create new inst

change continue to continue 2 to go to the next item in foreach

Change-Id: I6eeb4912f347c58e6290a267855214cd0b20eee2

Robert Lyon (robertl-9) on 2019-08-23
Changed in mahara:
status: New → Fix Committed
importance: Undecided → High
milestone: none → 19.10.0
Mahara Bot (dev-mahara) wrote :

Patch for "18.10_STABLE" branch: https://reviews.mahara.org/10275

Mahara Bot (dev-mahara) wrote :

Patch for "18.04_STABLE" branch: https://reviews.mahara.org/10276

Reviewed: https://reviews.mahara.org/10274
Committed: https://git.mahara.org/mahara/mahara/commit/08c245d5078c2b692d395db436fcaa144375ae74
Submitter: Robert Lyon (<email address hidden>)
Branch: 19.04_STABLE

commit 08c245d5078c2b692d395db436fcaa144375ae74
Author: Rebecca Blundell <email address hidden>
Date: Tue Aug 6 13:05:19 2019 +1200

Bug 1837855: Error message on create new inst

change continue to continue 2 to go to the next item in foreach

Change-Id: I6eeb4912f347c58e6290a267855214cd0b20eee2
(cherry picked from commit 2f544cf3ac754b1545eefd9873c322cc5ddd0c24)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/10275
Committed: https://git.mahara.org/mahara/mahara/commit/02abe17fd23e6a4c9980ebc4a253df988052498e
Submitter: Robert Lyon (<email address hidden>)
Branch: 18.10_STABLE

commit 02abe17fd23e6a4c9980ebc4a253df988052498e
Author: Rebecca Blundell <email address hidden>
Date: Tue Aug 6 13:05:19 2019 +1200

Bug 1837855: Error message on create new inst

change continue to continue 2 to go to the next item in foreach

Change-Id: I6eeb4912f347c58e6290a267855214cd0b20eee2
(cherry picked from commit 2f544cf3ac754b1545eefd9873c322cc5ddd0c24)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/10276
Committed: https://git.mahara.org/mahara/mahara/commit/dcf1131518bff7c73b306de6ba061314d09675dd
Submitter: Robert Lyon (<email address hidden>)
Branch: 18.04_STABLE

commit dcf1131518bff7c73b306de6ba061314d09675dd
Author: Rebecca Blundell <email address hidden>
Date: Tue Aug 6 13:05:19 2019 +1200

Bug 1837855: Error message on create new inst

change continue to continue 2 to go to the next item in foreach

Change-Id: I6eeb4912f347c58e6290a267855214cd0b20eee2
(cherry picked from commit 2f544cf3ac754b1545eefd9873c322cc5ddd0c24)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers